/************************************************************************/
/* Copyright (C) 2008 Markus Strobl <markus.strobl@gmx.at>              */
/*                                                                      */
/* cpupowerd is free software; you can redistribute it and/or modify it */
/* under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/* cpupowerd is distributed in the hope that it will be useful, but     */
/* WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with GNU Emacs; see the file COPYING.  If not, write to        */
/* the Free Software Foundation, Inc., 59 Temple Place - Suite 330,     */
/* Boston, MA 02111-1307, USA.                                          */
/************************************************************************/
/* $Id: cpupowerd.h 309 2008-11-02 13:24:50Z markus $                   */
/************************************************************************/


#ifndef CPUPOWERD_H
#define CPUPOWERD_H

/* Programconstants */
#define OK				  	0
#define NOTOK			 	-1

/* CPU Vendors */
#define VENDOR_AMD			0
#define VENDOR_INTEL		1

/* CPU Families */
#define AMD_K8				0
#define AMD_K10				1
#define INTEL_PENTIUM_M		2
#define INTEL_CORE			3
#define INTEL_CORE_2		4

#endif

